## Addon to SAML 2.0 profile for ID-WSF 2.0 bootsraping

Addon to SAML 2.0 profile for ID-WSF 2.0 bootsraping

## Functions

lasso_error_t | lasso_login_idwsf2_add_discovery_bootstrap_epr ()
LassoWsAddrEndpointReference * | lasso_login_idwsf2_get_discovery_bootstrap_epr ()
LassoWsAddrEndpointReference * | lasso_saml2_assertion_idwsf2_get_discovery_bootstrap_epr ()

## Description

## Functions

### lasso_login_idwsf2_add_discovery_bootstrap_epr ()

    lasso_error_t
    lasso_login_idwsf2_add_discovery_bootstrap_epr
                                   (LassoLogin *login,
                                    const char *url,
                                    const char *abstract,
                                    GList *security_mechanisms,
                                    int tolerance,
                                    int duration);

Add the needed bootstrap attribute to the LassoSaml2Assertion currently container in the LassoLogin object. This function should be called after `lasso_login_build_assertion()` by an IdP also having the Discovery service role.

The default `tolerance` and `duration` are respectively ten minutes and two days.

#### Parameters

login | a LassoLogin object |
url | the Disco service address |
abstract | the Disco service description |
security_mechanisms | the list of supported security mechanisms. | [allow-none][element-type utf8]
tolerance | see `lasso_saml2_assertion_set_basic_conditions()`. | [default -1]
duration | see `lasso_saml2_assertion_set_basic_conditions()`. | [default 0]

#### Returns

0 if successfull, otherwise LASSO_PROFILE_ERROR_MISSING_ASSERTION if no assertion is present in the LassoLogin object, LASSO_PARAM_ERROR_BAD_TYPE_OR_NULL_OBJ if login is not a LassoLogin object.

### lasso_login_idwsf2_get_discovery_bootstrap_epr ()

    LassoWsAddrEndpointReference *
    lasso_login_idwsf2_get_discovery_bootstrap_epr
                                   (LassoLogin *login);

Extract the Discovery boostrap EPR from the attribute named LASSO_SAML2_ATTRIBUTE_NAME_EPR.

#### Parameters

login | a LassoLogin object |

#### Returns

a caller owned LassoWsAddrEndpointReference object, or NULL if none can be found.

[transfer none]

### lasso_saml2_assertion_idwsf2_get_discovery_bootstrap_epr ()

    LassoWsAddrEndpointReference *
    lasso_saml2_assertion_idwsf2_get_discovery_bootstrap_epr
                                   (LassoSaml2Assertion *assertion);

Extract the Discovery bootstrap EPR from `assertion` .

#### Parameters

assertion | a LassoSaml2Assertion object |

#### Returns

a LassoWsAddrEndpointReference or NULL if no bootstrap EPR is found.

[transfer none]

## Types and Values